"""
Copyright 2021-2024 MICRORISC s.r.o.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
"""

from typing import List, Union
from .entities.device_measurement import DeviceMeasurement
from .entities.gateway_measurement import GatewayMeasurement
from .entities.sensor_measurement import SensorMeasurement


class InfluxClientInterface:
	"""InfluxDB client wrapper interface."""

	def write(self, bucket: str, measurements: List[Union[DeviceMeasurement, GatewayMeasurement, SensorMeasurement]]):
		"""
		Write measurements to database and logs information.

		Args:
			bucket (str): bucket
			measurements (List[Union[DeviceMeasurement, GatewayMeasurement, SensorMeasurement]]): list of measurement
				objects to be written to database
		"""
